Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrRepository.RepositoryMonitorFactory

    java.lang.Object
      org.modeshape.jcr.JcrRepository.RepositoryMonitorFactory

All Implemented Interfaces:
  SessionEnvironment.MonitorFactory

Enclosing class:
  JcrRepository

    protected static class JcrRepository.RepositoryMonitorFactory

extends Object
implements SessionEnvironment.MonitorFactory

Constructor Summary
`protected` | `JcrRepository.RepositoryMonitorFactory(JcrRepository.RunningState runningState)`

Method Summary
`SessionEnvironment.Monitor` | `createMonitor()` Get an indexer that can be used to index the changes made within the supplied transaction context.
`protected Transaction` | `currentTransaction()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JcrRepository.RepositoryMonitorFactory

    protected JcrRepository.RepositoryMonitorFactory(JcrRepository.RunningState runningState)

Method Detail

### currentTransaction

    protected Transaction currentTransaction()

### createMonitor

    public SessionEnvironment.Monitor createMonitor()

  Description copied from interface: `SessionEnvironment.MonitorFactory`
  Get an indexer that can be used to index the changes made within the supplied transaction context.

  Specified by:
    `createMonitor` in interface `SessionEnvironment.MonitorFactory`
  Returns:
    the indexer; may be null if no monitoring is to be performed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.